r37330 - in /trunk/libhtml-tidy-perl/debian: rules webtidy

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Wed Jun 3 04:12:44 UTC 2009


Author: ryan52-guest
Date: Wed Jun  3 04:12:39 2009
New Revision: 37330

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=37330
Log:
generate the man page with help2man, with a bit of tweaks

Added:
    trunk/libhtml-tidy-perl/debian/webtidy   (with props)
Modified:
    trunk/libhtml-tidy-perl/debian/rules

Modified: trunk/libhtml-tidy-perl/debian/rules
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libhtml-tidy-perl/debian/rules?rev=37330&op=diff
==============================================================================
--- trunk/libhtml-tidy-perl/debian/rules (original)
+++ trunk/libhtml-tidy-perl/debian/rules Wed Jun  3 04:12:39 2009
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+debian/webtidy.1:
+	sh ./debian/webtidy --help2man
+
+override_dh_installman: debian/webtidy.1
+	dh_installman debian/webtidy.1
 
 %:
 	dh --with quilt $@

Added: trunk/libhtml-tidy-perl/debian/webtidy
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libhtml-tidy-perl/debian/webtidy?rev=37330&op=file
==============================================================================
--- trunk/libhtml-tidy-perl/debian/webtidy (added)
+++ trunk/libhtml-tidy-perl/debian/webtidy Wed Jun  3 04:12:39 2009
@@ -1,0 +1,26 @@
+#!/bin/sh
+
+run(){
+    perl -Iblib/arch -Iblib/lib ./bin/webtidy --help
+}
+
+case "$1" in
+    --help)
+        run | sed '1 d'
+        ;;
+    --version)
+        run | head -1
+        ;;
+    --help2man)
+        chmod +x $0
+        help2man -n "show errors in an (X)HTML document" -o $0.1 -N $0 | sed 's/DESCRIPTION/OPTIONS/'
+        ;;
+    --man)
+        sh $0 --help2man
+        man $0.1
+        ;;
+    *)
+        echo "huh?"
+        exit 1
+        ;;
+esac

Propchange: trunk/libhtml-tidy-perl/debian/webtidy
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list